Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87694 - kdebase src rpm needs automake15 as prereq
Summary: kdebase src rpm needs automake15 as prereq
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kdebase
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-01 13:49 UTC by Ken MacFarlane
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-07 20:19:21 UTC


Attachments (Terms of Use)

Description Ken MacFarlane 2003-04-01 13:49:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030328

Description of problem:
rpmbuild --rebuild kdebase-3.1-12.src.rpm fails if automake15 is not installed.
 rpmbuild succeeds and the package is built if automake15 is installed.

Version-Release number of selected component (if applicable):
kdebase-3.1-12

How reproducible:
Always

Steps to Reproduce:
1. rpm -e automake15
2. rpmbuild --rebuild --target=i686 kdebase-3.12.src.rpm
(also fails if target=i586)
    

Actual Results:  + make -f Makefile.cvs
This Makefile is only for the CVS repository

*** YOU'RE USING automake (GNU automake) 1.6.3.
*** KDE requires automake 1.5
make[1]: *** [cvs] Error 1
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.23292 (%build)


Expected Results:  rpmbuild should have failed immediately with "automake15 is
required for kdebase-3.1-12"

Additional info:

Comment 1 Ngo Than 2004-10-07 20:19:21 UTC
it's fixed in RHEL3 release and fc2.


Note You need to log in before you can comment on or make changes to this bug.